glutBitmapWidth(3GLUT)

NAME
glutBitmapWidth - returns the width of a bitmap character, glutBitmapLength returns the length of a bitmap font string.

SYNTAX

int glutBitmapWidth(void *font, int character)
int glutBitmapLength(void *font, const unsigned char *string)

ARGUMENTS

font
    Bitmap font to use. For valid values, see the glutBitmapCharacter description.

character
    Character to return width of (not confined to 8 bits).

string
    Text string (8-bit characters), nul terminated.

DESCRIPTION
glutBitmapWidth returns the width in pixels of a bitmap character in a supported bitmap font. While the width of characters in a font may vary (though fixed width fonts do not vary), the maximum height characteristics of a particular font are fixed. glutBitmapLength returns the length in pixels of a string (8-bit characters). This length is equivalent to summing all the widths returned by glutBitmapWidth for each character in the string.

SEE ALSO
glutBitmapCharacter, glutStrokeWidth

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)